/*
 * Copyright (C) 2014
 *      Andrew Hayzen <ahayzen@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.3
import Ubuntu.Components 1.1
import Ubuntu.Components.ListItems 0.1 as ListItem

Page {
    title: i18n.tr("Settings")
    visible: false

    Flickable {
        id: settingsFlickable
        anchors {
            fill: parent
        }
        height: parent.height
        contentHeight: settingsColumn.childrenRect.height

        Column {
            id: settingsColumn
            anchors {
                fill: parent
            }

            ListItem.Header {
                text: i18n.tr("Controls")
            }

            ListItem.Standard {
                control: CheckBox {
                    checked: settings.useMotion
                    objectName: "motionCheckBox"
                    onClicked: settings.useMotion = !settings.useMotion
                }
                text: i18n.tr("Use motion")
            }

            ListItem.Standard {
                control: Slider {
                    live: true
                    minimumValue: 0
                    maximumValue: 5
                    objectName: "motionDeadZoneSlider"
                    value: settings.motionDeadZone
                    width: settingsPage.width / 2
                    onValueChanged: settings.motionDeadZone = value
                }
                enabled: settings.useMotion
                objectName: "motionDeadZoneListItem"
                text: i18n.tr("Motion deadzone")
            }

            ListItem.Header {
                text: i18n.tr("Debug")
            }

            ListItem.Standard {
                text: i18n.tr("AI Debug Layer")
                control: CheckBox {
                    checked: settings.aiDebugLayer
                    objectName: "aiDebugCheckBox"
                    onClicked: settings.aiDebugLayer = !settings.aiDebugLayer
                }
            }
        }
    }
}
